# __gnu_parallel::intersection_func< InputIterator, OutputIterator, Comparator > Struct Template Reference

List of all members.

## Detailed Description

### template<typename InputIterator, typename OutputIterator, typename Comparator>
struct __gnu_parallel::intersection_func< InputIterator, OutputIterator, Comparator >

Definition at line 221 of file set_operations.h.

## Public Types

- typedef traits_type::difference_type difference_type
- typedef std::pair< InputIterator,
  InputIterator > iterator_pair
- typedef std::iterator_traits<
  InputIterator > traits_type

## Public Member Functions

- difference_type count (InputIterator a, InputIterator b, InputIterator c, InputIterator d) const
- OutputIterator first_empty (InputIterator c, InputIterator d, OutputIterator out) const
- intersection_func (Comparator c)
- OutputIterator invoke (InputIterator a, InputIterator b, InputIterator c, InputIterator d, OutputIterator r) const
- OutputIterator second_empty (InputIterator a, InputIterator b, OutputIterator out) const

## Public Attributes

- Comparator comp

The documentation for this struct was generated from the following file:

- set_operations.h